variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
sonarcloud-check:
  image: gradle:jre11-slim
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script: echo "starting sonar"#gradle sonarqube
